Package org.springframework.aop.framework.adapter

# Class MethodBeforeAdviceInterceptor

java.lang.Object
org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor

All Implemented Interfaces:
  `Serializable`, `Advice`, `Interceptor`, `MethodInterceptor`, `BeforeAdvice`

public class MethodBeforeAdviceInterceptor extends Object implements MethodInterceptor, BeforeAdvice, Serializable
Interceptor to wrap a `MethodBeforeAdvice`.

Used internally by the AOP framework; application developers should not need to use this class directly.

Author:
  Rod Johnson
See Also:
  - `AfterReturningAdviceInterceptor`
  - `ThrowsAdviceInterceptor`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MethodBeforeAdviceInterceptor(MethodBeforeAdvice advice)`
Create a new MethodBeforeAdviceInterceptor for the given advice.

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(MethodInvocation mi)`
Implement this method to perform extra treatments before and after the invocation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodBeforeAdviceInterceptor

public MethodBeforeAdviceInterceptor(MethodBeforeAdvice advice)
Create a new MethodBeforeAdviceInterceptor for the given advice.

Parameters:
  `advice` - the MethodBeforeAdvice to wrap

## Method Details

### invoke

@Nullable public Object invoke(MethodInvocation mi) throws Throwable
Description copied from interface: `MethodInterceptor`
Implement this method to perform extra treatments before and after the invocation. Polite implementations would certainly like to invoke `Joinpoint.proceed()`.

Specified by:
  `invoke` in interface `MethodInterceptor`
Parameters:
  `mi` - the method invocation joinpoint
Returns:
  the result of the call to `Joinpoint.proceed()`; might be intercepted by the interceptor
Throws:
  `Throwable` - if the interceptors or the target object throws an exception